%define major	2.12

Name:		evolution-jescs
Summary:	Sun Java Enterprise System Calendar Server connector for Evolution
Version:	2.12.0
Release:	%mkrel 1
License: 	GPL
Group:		Networking/Mail
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL: 		http://cvs.gnome.org/viewcvs/evolution-jescs/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	evolution-devel >= 2.11
BuildRequires:  libsoup-devel 
BuildRequires:	perl-XML-Parser
BuildRequires:  mono-devel

%description
This is the Evolution Connector for Sun Java Enterprise System Calendar Server 
(SJESCS), which adds support for SJESCS 5.1 and above to Evolution.

This connector supports the WCAP (Web Calendar Access Protocol) 2.0, 3.0, 3.1.

%prep
%setup -q
touch *

%build

%configure2_5x 

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f $RPM_BUILD_ROOT%{_libdir}/evolution/*/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/evolution-data-server-*/*/*.a

%{find_lang} %{name}-%{major}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{major}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog 
%{_libdir}/evolution-data-server-*/camel-providers/*
%{_libdir}/evolution/*/%{name}
%{_libdir}/bonobo/servers/*.server
%{_datadir}/%{name}
%{_datadir}/evolution/*/images/*




%changelog
* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdv2008.0
+ Revision: 88899
- new version

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2008.0
+ Revision: 47003
- new version
- drop patch

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 2.11.1-2mdv2008.0
+ Revision: 46964
- better fix for the build problem (b.g.o #452611)

* Sat Jun 30 2007 Götz Waschk <waschk@mandriva.org> 2.11.1-1mdv2008.0
+ Revision: 46133
- new version
- drop patch
- patch to fix build

* Thu Jun 07 2007 Götz Waschk <waschk@mandriva.org> 2.11.0-1mdv2008.0
+ Revision: 36903
- new version
- bump deps
- patch for new evolution

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdv2008.0
+ Revision: 27200
- fix buildrequires
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.9.1-1mdv2007.1
+ Revision: 141622
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-2mdv2007.1
+ Revision: 100203
- rebuild for new e-d-s

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 2.9.0-1mdv2007.1
+ Revision: 98468
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 2.8.2-2mdv2007.1
+ Revision: 89469
- rebuild
- new version
- patch for new evolution

  + Pascal Terjan <pterjan@mandriva.org>
    - Import evolution-jescs

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdv2007.0
- Release 2.8.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.0-3mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.0-2mdv2007.0
- Rebuild with latest evolution

* Tue Jul 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.0-1mdv2007.0
- Release 2.7.0

* Mon Jun 05 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.2-1mdv2007.0
- New release 2.6.2

* Mon May 15 2006 Pascal Terjan <pterjan@mandriva.org> 2.6.1-1mdk
- New release 2.6.1

* Wed May 03 2006 Pascal Terjan <pterjan@mandriva.org> 2.5.4-1mdk
- New release 2.5.4

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 2.5.3-3mdk
- Fix BuildRequires

* Thu Apr 27 2006 Pascal Terjan <pterjan@mandriva.org> 2.5.3-2mdk
- BuildRequires evolution-data-server-devel

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 2.5.3-1mdk
- Release 2.5.3

* Fri Feb 17 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.4-4mdk
- Add libgtkhtml-3.8-devel in Buildrequires and not only in changelog

* Wed Feb 08 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.4-3mdk
- BuildRequires libgtkhtml-3.8-devel

* Wed Feb 01 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.4-2mdk
- BuildRequires libsoup-devel

* Wed Jan 25 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.4-1mdk
- New release 2.4.4

* Sat Jan 21 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.3-2mdk
- BuildRequires

* Tue Jan 10 2006 Pascal Terjan <pterjan@mandriva.org> 2.4.3-1mdk
- New release 2.4.3

* Sat Oct 08 2005 Pascal Terjan <pterjan@mandriva.org> 2.4.1-1mdk
- 2.4.1

* Mon Sep 12 2005 Pascal Terjan <pterjan@mandriva.org> 2.2.0-1mdk
- Initial Mandriva package

